roomMin = 6

function split()
	for i,o in pairs(rooms) do
		if o.leafA == nil then
			if o.leafB == nil then
				local splitH
				if o.w > o.h*1.25 then
					splitH = true
				elseif o.h > o.w*1.25 then
					splitH = false
				else
					math.random(); math.random(); math.random()
					local num = math.random()
					if num > 0.5 then 
						splitH = true
					else 
						splitH = false
					end
				end
				local max
				if splitH == true then
					if o.h < roomMin then
						return
					end
					max = o.h - roomMin
				elseif splitH == false then
					if o.w < roomMin then
						return
					end
					max = o.w - roomMin
				end
				local split = love.math.random(roomMin,max)
				if splitH == true then
					table.insert(rooms,{x=o.x,y=o.y,w=o.w,h=split,leafA=nil,leafB=nil,id=setId})
					table.insert(rooms,{x=o.x,y=o.y+split,w=o.w,h=o.h-split,leafA=nil,leafB=nil,id=setId})
				elseif splitH == false then
					table.insert(rooms,{x=o.x,y=o.y,w=split,h=o.h,leafA=nil,leafB=nil,id=setId})
					table.insert(rooms,{x=o.x+split,y=o.y,w=o.w-split,h=o.h,leafA=nil,leafB=nil,id=setId})
				end
			end
		end
	end
end

function roomDraw()
love.graphics.setColor(255,255,255)
	for i,o in pairs(rooms) do
		love.graphics.rectangle("line",o.x*5+20,o.y*5+20,o.w*5,o.h*5)
	end
	love.graphics.setColor(0,0,255)
	love.graphics.rectangle("line",25,25,50*5,50*5)
end